Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Драйвера ATI HD4670 Ubuntu 12.04 LTS  (Прочитано 5155 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Mogolent

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Драйвера ATI HD4670 Ubuntu 12.04 LTS
« : 04 Июнь 2012, 23:44:01 »
Доброго времени ребята.
Я не уверен, что написал в соответсвующий раздел.
Я - новичок в Линуксе.
Сегодня установил Ubuntu 12.04, и сталкнулся с проблемой драйверов ATI. Устанавливал по инструкции с этого ресурса http://help.ubuntu.ru/wiki/%D1%83%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%BA%D0%B0_%D0%B4%D1%80%D0%B0%D0%B9%D0%B2%D0%B5%D1%80%D0%B0_ati.
В завершении установки выдает сообщение - System program problem detected и предлагает отправить отчет разработчикам Убунты.
Building initial module for 3.2.0-24-generic-pae
Error! Bad return status for module build on kernel: 3.2.0-24-generic-pae (i686)
Consult /var/lib/dkms/fglrx/8.961/build/make.log for more information.

Содержание это лога:
DKMS make.log for fglrx-8.961 for kernel 3.2.0-24-generic-pae (i686)
Mon Jun  4 20:34:48 BST 2012
AMD kernel module generator version 2.1
make.sh: 390: [: 1: unexpected operator
make.sh: 396: [: 1: unexpected operator
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.2.0-24-generic-pae/build SUBDIRS=/var/lib/dkms/fglrx/8.961/build/2.6.x modules
make[1]: Entering directory `/usr/src/linux-headers-3.2.0-24-generic-pae'
  CC [M]  /var/lib/dkms/fglrx/8.961/build/2.6.x/firegl_public.o
/var/lib/dkms/fglrx/8.961/build/2.6.x/firegl_public.c: In function ‘KCL_fpu_begin’:
/var/lib/dkms/fglrx/8.961/build/2.6.x/firegl_public.c:5812:28: error: ‘TS_USEDFPU’ undeclared (first use in this function)
/var/lib/dkms/fglrx/8.961/build/2.6.x/firegl_public.c:5812:28: note: each undeclared identifier is reported only once for each function it appears in
make[2]: *** [/var/lib/dkms/fglrx/8.961/build/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/var/lib/dkms/fglrx/8.961/build/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.2.0-24-generic-pae'
make: *** [kmod_build] Error 2
build failed with return value 2
Как мне быть, ребята? Пробовал повторить данное, результат тот же. Через Additional drivers так же драйвера не устанавливаются. Помогите, пожалуйста, если это возможно, заранее спасибо :)

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14863
  • Я не слышу.
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #1 : 04 Июнь 2012, 23:49:37 »
Цитировать
kernel 3.2.0-24-generic-pae
зачем новее ядро?
~.o

Оффлайн Mogolent

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #2 : 05 Июнь 2012, 00:23:04 »
Цитировать
kernel 3.2.0-24-generic-pae
зачем новее ядро?
Я не понимаю. Я только что установил билд Убунты с офф. сайта. Далее, все что я сделал, это то, что описано в мануале по установке драйверов ATI - 1 в 1, сам я ничего не предпринимал. Данное сообщение выдало, после выполнения команды:
sudo dpkg -i fglrx*.deb

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4128
  • Gentoo
    • Просмотр профиля
господь ведет твою руку, сын мой....

Оффлайн Mogolent

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #4 : 05 Июнь 2012, 00:40:08 »
Я не могу их удалить...
по первому способу я получаю
sh: 0: Can't open ./fglrx-uninstall.shПо второму:
sudo apt-get purge fglrx*
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package fglrx_8.961-0ubuntu1_i386.deb
E: Couldn't find any package by regex 'fglrx_8.961-0ubuntu1_i386.deb'
E: Unable to locate package fglrx-amdcccle_8.961-0ubuntu1_i386.deb
E: Couldn't find any package by regex 'fglrx-amdcccle_8.961-0ubuntu1_i386.deb'
E: Unable to locate package fglrx-dev_8.961-0ubuntu1_i386.deb
E: Couldn't find any package by regex 'fglrx-dev_8.961-0ubuntu1_i386.deb'
E: Unable to locate package fglrx-installer_8.961-0ubuntu1_i386.changes
E: Couldn't find any package by regex 'fglrx-installer_8.961-0ubuntu1_i386.changes'
Может подскажете, как мне удалить эти драйвера?

///
Извиняюсь за тупость, Удалил и переставил xserver - буду пробовать)
« Последнее редактирование: 05 Июнь 2012, 00:48:25 от Mogolent »

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7703
  • CNC programmer
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #5 : 05 Июнь 2012, 00:56:56 »
Цитировать
kernel 3.2.0-24-generic-pae
зачем новее ядро?
Это стандартное ядро для 12.04. У меня такое же.

Попробуй просто установить без параметра --buildpkg Ubuntu/precise, тогда и следующая команда не нужна.
« Последнее редактирование: 05 Июнь 2012, 00:59:13 от san-alex »
Нужна ваша помощь в написании нового Руководства для новичков.

Оффлайн Mogolent

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #6 : 05 Июнь 2012, 00:57:53 »
Что-то у меня не вышло.
Не устанавливаются по первому способу.
Uninstalling any previously installed drivers.
Errors during DKMS module removal
Errors during DKMS module removal
[Error] Kernel Module : Failed to add fglrx-8.961 to DKMS
[Reboot] Kernel Module : update-initramfs
Все же вопрос актуальный, как мне их удалить?

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7703
  • CNC programmer
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #7 : 05 Июнь 2012, 01:02:33 »
Судя по sh: 0: Can't open ./fglrx-uninstall.sh ты уже удалил скрип деинсталяции. Попробуй установить насильно
sh ./amd-driver-installer-12-4-x86.x86_64.run --forceОбычно после такой установки, драйвер не работает, но позволяет себя корректно удалить:
cd /usr/share/ati
sudo sh ./fglrx-uninstall.sh
sudo apt-get purge fglrx*
sudo rm -f /etc/X11/xorg.conf
А после этого можно ставить:
cd /Путь к файлу
sudo sh ./amd-driver-installer-12-4-x86.x86_64.run
aticonfig --initial
« Последнее редактирование: 05 Июнь 2012, 01:04:55 от san-alex »
Нужна ваша помощь в написании нового Руководства для новичков.

Оффлайн Mogolent

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #8 : 05 Июнь 2012, 01:22:45 »

Судя по sh: 0: Can't open ./fglrx-uninstall.sh ты уже удалил скрип деинсталяции. Попробуй установить насильно
sh ./amd-driver-installer-12-4-x86.x86_64.run --forceОбычно после такой установки, драйвер не работает, но позволяет себя корректно удалить:
cd /usr/share/ati
sudo sh ./fglrx-uninstall.sh
sudo apt-get purge fglrx*
sudo rm -f /etc/X11/xorg.conf
А после этого можно ставить:
cd /Путь к файлу
sudo sh ./amd-driver-installer-12-4-x86.x86_64.run
aticonfig --initial
После попытки установить насильно получил:
Detected configuration:
Architecture: i686 (32-bit)
X Server: X.Org 6.9 or later
loki_setup: directory: (null)
DKMS part of installation failed.  Please refer to /usr/share/ati/fglrx-install.log for details
Removing temporary directory: fglrx-install.FJabtl
Далее после выполнения sudo sh ./fglrx-uninstall.sh:
restore of system environment completed
Error! There are no instances of module: fglrx
8.961 located in the DKMS tree.
Errors during DKMS module removal
Warning: No support for locale: en_US.utf8
Warning: No support for locale: en_US.utf8
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
Далее все как и было, опять системная ошибка...

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4128
  • Gentoo
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #9 : 05 Июнь 2012, 01:24:57 »
перезагрузись,там оно тебя умоляет
господь ведет твою руку, сын мой....

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7703
  • CNC programmer
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #10 : 05 Июнь 2012, 01:27:23 »
перезагрузись,там оно тебя умоляет
Да, кстати. Перезагружаться надо после каждой установки/удаления драйвера.
Нужна ваша помощь в написании нового Руководства для новичков.

Оффлайн pr1mat

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7703
  • CNC programmer
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #12 : 11 Апрель 2014, 23:06:55 »
pr1mat, ты посмотри на дату последнего поста в теме. Твой совет несколько запоздал, почти на 2 года.
Нужна ваша помощь в написании нового Руководства для новичков.

Оффлайн tmpuser

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Драйвера ATI HD4670 Ubuntu 12.04 LTS
« Ответ #13 : 14 Апрель 2014, 12:27:29 »
Если тема ещё жива. Что значит если при установки из deb выдаёт:
...
Error! Bad return status for module build on kernel: 3.11.0-19-generic (x86_64)
Consult /var/lib/dkms/fglrx/8.950/build/make.log for more information.
...

/var/lib/dkms/fglrx/8.950/build/make.log :

DKMS make.log for fglrx-8.950 for kernel 3.11.0-19-generic (x86_64)
Пнд Апр 14 10:57:11 EEST 2014
AMD kernel module generator version 2.1
kernel includes at /lib/modules/3.11.0-19-generic/build/include not found or incomplete
file: /lib/modules/3.11.0-19-generic/build/include/linux/version.h


Информация о системе:
(Нажмите, чтобы показать/скрыть)

Подготовительные команды:
(Нажмите, чтобы показать/скрыть)

Какого пакета не хватает или что докопировать в папку?

 

Страница сгенерирована за 0.078 секунд. Запросов: 25.